Install knsrc files to KDE_INSTALL_KNSRCDIR with newer KNewStuff

GIT_SILENT
parent 100d3e66
...@@ -24,6 +24,11 @@ declare_qt_logging_category(kdevappwizard_PART_SRCS ...@@ -24,6 +24,11 @@ declare_qt_logging_category(kdevappwizard_PART_SRCS
ki18n_wrap_ui(kdevappwizard_PART_SRCS ${kdevappwizard_PART_UI}) ki18n_wrap_ui(kdevappwizard_PART_SRCS ${kdevappwizard_PART_UI})
if(NOT KF5_VERSION VERSION_LESS "5.57.0")
install(FILES kdevappwizard.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
else()
qt5_add_resources(kdevappwizard_PART_SRCS kdevappwizardknsrc.qrc)
endif()
qt5_add_resources(kdevappwizard_PART_SRCS kdevappwizard.qrc) qt5_add_resources(kdevappwizard_PART_SRCS kdevappwizard.qrc)
kdevplatform_add_plugin(kdevappwizard JSON kdevappwizard.json SOURCES ${kdevappwizard_PART_SRCS}) kdevplatform_add_plugin(kdevappwizard JSON kdevappwizard.json SOURCES ${kdevappwizard_PART_SRCS})
......
...@@ -3,7 +3,4 @@ ...@@ -3,7 +3,4 @@
<qresource prefix="/kxmlgui5/kdevappwizard"> <qresource prefix="/kxmlgui5/kdevappwizard">
<file>kdevappwizard.rc</file> <file>kdevappwizard.rc</file>
</qresource> </qresource>
<qresource prefix="/kconfig">
<file>kdevappwizard.knsrc</file>
</qresource>
</RCC> </RCC>
<!DOCTYPE RCC>
<RCC version="1.0">
<qresource prefix="/kconfig">
<file>kdevappwizard.knsrc</file>
</qresource>
</RCC>
...@@ -33,7 +33,13 @@ ki18n_wrap_ui(kdevfiletemplates_PART_SRCS ...@@ -33,7 +33,13 @@ ki18n_wrap_ui(kdevfiletemplates_PART_SRCS
ui/testcases.ui ui/testcases.ui
) )
if(NOT KF5_VERSION VERSION_LESS "5.57.0")
install(FILES kdevfiletemplates.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
else()
qt5_add_resources(kdevfiletemplates_PART_SRCS kdevfiletemplatesknsrc.qrc)
endif()
qt5_add_resources(kdevfiletemplates_PART_SRCS kdevfiletemplates.qrc) qt5_add_resources(kdevfiletemplates_PART_SRCS kdevfiletemplates.qrc)
kdevplatform_add_plugin(kdevfiletemplates JSON kdevfiletemplates.json SOURCES ${kdevfiletemplates_PART_SRCS}) kdevplatform_add_plugin(kdevfiletemplates JSON kdevfiletemplates.json SOURCES ${kdevfiletemplates_PART_SRCS})
target_link_libraries(kdevfiletemplates target_link_libraries(kdevfiletemplates
......
...@@ -3,7 +3,4 @@ ...@@ -3,7 +3,4 @@
<qresource prefix="/kxmlgui5/kdevfiletemplates"> <qresource prefix="/kxmlgui5/kdevfiletemplates">
<file>kdevfiletemplates.rc</file> <file>kdevfiletemplates.rc</file>
</qresource> </qresource>
<qresource prefix="/kconfig">
<file>kdevfiletemplates.knsrc</file>
</qresource>
</RCC> </RCC>
<!DOCTYPE RCC>
<RCC version="1.0">
<qresource prefix="/kconfig">
<file>kdevfiletemplates.knsrc</file>
</qresource>
</RCC>
...@@ -22,7 +22,12 @@ ki18n_wrap_ui(kdevqthelp_SRCS ...@@ -22,7 +22,12 @@ ki18n_wrap_ui(kdevqthelp_SRCS
qthelpconfigeditdialog.ui qthelpconfigeditdialog.ui
) )
if(NOT KF5_VERSION VERSION_LESS "5.57.0")
install(FILES kdevelop-qthelp.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
else()
qt5_add_resources(kdevqthelp_SRCS kdevqthelp.qrc) qt5_add_resources(kdevqthelp_SRCS kdevqthelp.qrc)
endif()
kdevplatform_add_plugin(kdevqthelp JSON kdevqthelp.json SOURCES ${kdevqthelp_SRCS}) kdevplatform_add_plugin(kdevqthelp JSON kdevqthelp.json SOURCES ${kdevqthelp_SRCS})
target_link_libraries(kdevqthelp target_link_libraries(kdevqthelp
KF5::KCMUtils KF5::I18n KF5::KIOWidgets KF5::TextEditor KF5::IconThemes Qt5::Help KF5::NewStuff KF5::KCMUtils KF5::I18n KF5::KIOWidgets KF5::TextEditor KF5::IconThemes Qt5::Help KF5::NewStuff
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment